## org.eclipse.emf.cdo.server
Interface IRevisionManager

All Superinterfaces:
  CDORevisionResolver

    public interface IRevisionManager

extends CDORevisionResolver

Method Summary
`IRepository` `getRepository()`
`void` `setRepository(IRepository repository)` Internal.

Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionResolver
`containsRevision, containsRevisionByTime, containsRevisionByVersion, getCache, getCDOIDObjectFactory, getObjectType, getResourceID, getRevision, getRevision, getRevisionByTime, getRevisionByTime, getRevisionByVersion, getRevisionByVersion, getRevisions, getRevisionsByTime, setCache`

Method Detail

### getRepository

    IRepository getRepository()

  Since:
    2.0

### setRepository

    void setRepository(IRepository repository)

  Internal.

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.